Package weka.gui.beans

# Interface DataSourceListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AbstractDataSink`, `AbstractTrainAndTestSetProducer`, `Associator`, `AttributeSummarizer`, `ClassAssigner`, `ClassValuePicker`, `CrossValidationFoldMaker`, `DataVisualizer`, `Filter`, `Saver`, `ScatterPlotMatrix`, `TestSetMaker`, `TextViewer`, `TrainingSetMaker`, `TrainTestSplitMaker`

public interface DataSourceListener extends EventListener
Interface to something that can accept DataSetEvents

Since:
  1.0
Version:
  $Revision: 1.3 $
Author:
  Mark Hall
See Also:
  - `EventListener`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptDataSet(DataSetEvent e)`

## Method Details

### acceptDataSet

void acceptDataSet(DataSetEvent e)